/*
 *  Andrew Pitman    12-21-1998
 *
 *  egrep-finger: Functions for signal handler-type stuff  ;)
 *
 * $Id: shandlers.c,v 1.25 1999/04/12 05:25:57 ap1 Exp ap1 $
 *
 * Copyright (C) 1998, 1999 Andrew J. Pitman
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifndef __CONFIG_H
#include <config.h>
#endif

#ifndef __shandlers_h
#include "shandlers.h"
#endif

/* csocket's in main() */
extern int csocket;


void s_handler(int signum)
{
#ifdef DEBUG
  printf("Now cleaning up....\n");
#endif

  /* Close our currently existing socket (if one is open). */
  close (csocket);

  /* Close utmp file. */
  endutent();

  /* Print why we're exiting. */
  if (signum == SIGINT) {
     printf("\nInterrupt received, exiting.\n");
  } else {
     printf("\nTerminated.\n");
  }
  exit(0);
}


